using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Management;
using System.Xml;
using System.IO;

namespace VideoInformation
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class frmVideoInformation : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label lblColors;
		private System.Windows.Forms.Label lblResolution;
		private System.Windows.Forms.Label lblMonitorName;
		private System.Windows.Forms.Label lblSystemName;
		private System.Windows.Forms.Label lblInstalledDriver;
		private System.Windows.Forms.Label lblDriverInformation;
		private System.Windows.Forms.Label lblDriverVersion;
		private System.Windows.Forms.Button btnClose;
		private System.Windows.Forms.Label lblBitsPerPixel;
		private System.Windows.Forms.Label lblAdapterRAM;
		private System.Windows.Forms.Label lblDriverVersionValue;
		private System.Windows.Forms.Label lblInstalledDriverValue;
		private System.Windows.Forms.Label lblSystemNameValue;
		private System.Windows.Forms.Label lblColorsValue;
		private System.Windows.Forms.Label lblResolutionValue;
		private System.Windows.Forms.Label lblAdapterRAMValue;
		private System.Windows.Forms.Label lblBitsPerPixelValue;
		private System.Windows.Forms.Label lblCurrentDisplaySettings;
		private System.Windows.Forms.Label lblRefreshRate;
		private System.Windows.Forms.Label lblRefreshRateValue;
		private System.Windows.Forms.Label lblScanModeValue;
		private System.Windows.Forms.Label lblScanMode;
		private System.Windows.Forms.Label lblAdditionalInformation;
		private System.Windows.Forms.Label lblVideoMemoryTypeValue;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label lblPlugNPlayDeviceIdValue;
		private System.Windows.Forms.Label lblPlugNPlayDeviceId;
		private System.Windows.Forms.Label lblStatusValue;
		private System.Windows.Forms.Label lblStatus;
		private System.Windows.Forms.Label lblBuiltBy;
		private System.Windows.Forms.PictureBox pcbMonitor;
		private System.Windows.Forms.PictureBox pictureBox2;
		private System.Windows.Forms.PictureBox pictureBox3;
		private System.Windows.Forms.PictureBox pictureBox4;
		private System.Windows.Forms.PictureBox pcbVishwakLogo;
		private System.Windows.Forms.SaveFileDialog sfdSaveXML;
		private System.Windows.Forms.Button btnGenerateXML;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmVideoInformation()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(frmVideoInformation));
			this.btnClose = new System.Windows.Forms.Button();
			this.lblDriverInformation = new System.Windows.Forms.Label();
			this.lblCurrentDisplaySettings = new System.Windows.Forms.Label();
			this.lblSystemName = new System.Windows.Forms.Label();
			this.lblColors = new System.Windows.Forms.Label();
			this.lblResolution = new System.Windows.Forms.Label();
			this.pcbMonitor = new System.Windows.Forms.PictureBox();
			this.lblMonitorName = new System.Windows.Forms.Label();
			this.lblRefreshRate = new System.Windows.Forms.Label();
			this.lblBitsPerPixel = new System.Windows.Forms.Label();
			this.lblAdapterRAM = new System.Windows.Forms.Label();
			this.lblInstalledDriver = new System.Windows.Forms.Label();
			this.lblDriverVersion = new System.Windows.Forms.Label();
			this.lblDriverVersionValue = new System.Windows.Forms.Label();
			this.lblInstalledDriverValue = new System.Windows.Forms.Label();
			this.lblSystemNameValue = new System.Windows.Forms.Label();
			this.lblColorsValue = new System.Windows.Forms.Label();
			this.lblResolutionValue = new System.Windows.Forms.Label();
			this.lblAdapterRAMValue = new System.Windows.Forms.Label();
			this.lblBitsPerPixelValue = new System.Windows.Forms.Label();
			this.lblRefreshRateValue = new System.Windows.Forms.Label();
			this.lblScanModeValue = new System.Windows.Forms.Label();
			this.lblScanMode = new System.Windows.Forms.Label();
			this.lblAdditionalInformation = new System.Windows.Forms.Label();
			this.lblVideoMemoryTypeValue = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.lblPlugNPlayDeviceIdValue = new System.Windows.Forms.Label();
			this.lblPlugNPlayDeviceId = new System.Windows.Forms.Label();
			this.lblStatusValue = new System.Windows.Forms.Label();
			this.lblStatus = new System.Windows.Forms.Label();
			this.lblBuiltBy = new System.Windows.Forms.Label();
			this.pictureBox2 = new System.Windows.Forms.PictureBox();
			this.pictureBox3 = new System.Windows.Forms.PictureBox();
			this.pictureBox4 = new System.Windows.Forms.PictureBox();
			this.btnGenerateXML = new System.Windows.Forms.Button();
			this.pcbVishwakLogo = new System.Windows.Forms.PictureBox();
			this.sfdSaveXML = new System.Windows.Forms.SaveFileDialog();
			this.SuspendLayout();
			// 
			// btnClose
			// 
			this.btnClose.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(165)), ((System.Byte)(189)), ((System.Byte)(208)));
			this.btnClose.Cursor = System.Windows.Forms.Cursors.Default;
			this.btnClose.ForeColor = System.Drawing.Color.Black;
			this.btnClose.Location = new System.Drawing.Point(284, 465);
			this.btnClose.Name = "btnClose";
			this.btnClose.Size = new System.Drawing.Size(58, 28);
			this.btnClose.TabIndex = 39;
			this.btnClose.Text = "Close";
			this.btnClose.Click += new System.EventHandler(this.btnClose_Click);
			// 
			// lblDriverInformation
			// 
			this.lblDriverInformation.BackColor = System.Drawing.Color.Transparent;
			this.lblDriverInformation.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDriverInformation.ForeColor = System.Drawing.Color.Black;
			this.lblDriverInformation.Location = new System.Drawing.Point(12, 116);
			this.lblDriverInformation.Name = "lblDriverInformation";
			this.lblDriverInformation.Size = new System.Drawing.Size(194, 22);
			this.lblDriverInformation.TabIndex = 30;
			this.lblDriverInformation.Text = "Driver Information";
			// 
			// lblCurrentDisplaySettings
			// 
			this.lblCurrentDisplaySettings.BackColor = System.Drawing.Color.Transparent;
			this.lblCurrentDisplaySettings.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblCurrentDisplaySettings.ForeColor = System.Drawing.Color.Black;
			this.lblCurrentDisplaySettings.Location = new System.Drawing.Point(12, 206);
			this.lblCurrentDisplaySettings.Name = "lblCurrentDisplaySettings";
			this.lblCurrentDisplaySettings.Size = new System.Drawing.Size(194, 18);
			this.lblCurrentDisplaySettings.TabIndex = 26;
			this.lblCurrentDisplaySettings.Text = "Current Display Settings";
			// 
			// lblSystemName
			// 
			this.lblSystemName.BackColor = System.Drawing.Color.Transparent;
			this.lblSystemName.ForeColor = System.Drawing.Color.Black;
			this.lblSystemName.Location = new System.Drawing.Point(16, 84);
			this.lblSystemName.Name = "lblSystemName";
			this.lblSystemName.Size = new System.Drawing.Size(108, 18);
			this.lblSystemName.TabIndex = 24;
			this.lblSystemName.Text = "System Name:";
			// 
			// lblColors
			// 
			this.lblColors.BackColor = System.Drawing.Color.Transparent;
			this.lblColors.ForeColor = System.Drawing.Color.Black;
			this.lblColors.Location = new System.Drawing.Point(16, 62);
			this.lblColors.Name = "lblColors";
			this.lblColors.Size = new System.Drawing.Size(108, 18);
			this.lblColors.TabIndex = 23;
			this.lblColors.Text = "Colors: ";
			// 
			// lblResolution
			// 
			this.lblResolution.BackColor = System.Drawing.Color.Transparent;
			this.lblResolution.ForeColor = System.Drawing.Color.Black;
			this.lblResolution.Location = new System.Drawing.Point(16, 40);
			this.lblResolution.Name = "lblResolution";
			this.lblResolution.Size = new System.Drawing.Size(108, 18);
			this.lblResolution.TabIndex = 22;
			this.lblResolution.Text = "Resolution: ";
			// 
			// pcbMonitor
			// 
			this.pcbMonitor.BackColor = System.Drawing.Color.Transparent;
			this.pcbMonitor.Image = ((System.Drawing.Bitmap)(resources.GetObject("pcbMonitor.Image")));
			this.pcbMonitor.Location = new System.Drawing.Point(264, 35);
			this.pcbMonitor.Name = "pcbMonitor";
			this.pcbMonitor.Size = new System.Drawing.Size(58, 63);
			this.pcbMonitor.TabIndex = 21;
			this.pcbMonitor.TabStop = false;
			// 
			// lblMonitorName
			// 
			this.lblMonitorName.BackColor = System.Drawing.Color.Transparent;
			this.lblMonitorName.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblMonitorName.ForeColor = System.Drawing.Color.Black;
			this.lblMonitorName.Location = new System.Drawing.Point(12, 9);
			this.lblMonitorName.Name = "lblMonitorName";
			this.lblMonitorName.Size = new System.Drawing.Size(326, 18);
			this.lblMonitorName.TabIndex = 20;
			this.lblMonitorName.Text = "NED LCT2010X";
			// 
			// lblRefreshRate
			// 
			this.lblRefreshRate.BackColor = System.Drawing.Color.Transparent;
			this.lblRefreshRate.ForeColor = System.Drawing.Color.Black;
			this.lblRefreshRate.Location = new System.Drawing.Point(16, 230);
			this.lblRefreshRate.Name = "lblRefreshRate";
			this.lblRefreshRate.Size = new System.Drawing.Size(108, 18);
			this.lblRefreshRate.TabIndex = 40;
			this.lblRefreshRate.Text = "Refresh Rate:";
			// 
			// lblBitsPerPixel
			// 
			this.lblBitsPerPixel.BackColor = System.Drawing.Color.Transparent;
			this.lblBitsPerPixel.ForeColor = System.Drawing.Color.Black;
			this.lblBitsPerPixel.Location = new System.Drawing.Point(16, 254);
			this.lblBitsPerPixel.Name = "lblBitsPerPixel";
			this.lblBitsPerPixel.Size = new System.Drawing.Size(108, 18);
			this.lblBitsPerPixel.TabIndex = 41;
			this.lblBitsPerPixel.Text = "Bits per pixel:";
			// 
			// lblAdapterRAM
			// 
			this.lblAdapterRAM.BackColor = System.Drawing.Color.Transparent;
			this.lblAdapterRAM.ForeColor = System.Drawing.Color.Black;
			this.lblAdapterRAM.Location = new System.Drawing.Point(16, 346);
			this.lblAdapterRAM.Name = "lblAdapterRAM";
			this.lblAdapterRAM.Size = new System.Drawing.Size(108, 18);
			this.lblAdapterRAM.TabIndex = 42;
			this.lblAdapterRAM.Text = "Adapter RAM:";
			// 
			// lblInstalledDriver
			// 
			this.lblInstalledDriver.BackColor = System.Drawing.Color.Transparent;
			this.lblInstalledDriver.ForeColor = System.Drawing.Color.Black;
			this.lblInstalledDriver.Location = new System.Drawing.Point(16, 138);
			this.lblInstalledDriver.Name = "lblInstalledDriver";
			this.lblInstalledDriver.Size = new System.Drawing.Size(108, 18);
			this.lblInstalledDriver.TabIndex = 44;
			this.lblInstalledDriver.Text = "Installed Driver:";
			// 
			// lblDriverVersion
			// 
			this.lblDriverVersion.BackColor = System.Drawing.Color.Transparent;
			this.lblDriverVersion.ForeColor = System.Drawing.Color.Black;
			this.lblDriverVersion.Location = new System.Drawing.Point(16, 162);
			this.lblDriverVersion.Name = "lblDriverVersion";
			this.lblDriverVersion.Size = new System.Drawing.Size(108, 18);
			this.lblDriverVersion.TabIndex = 45;
			this.lblDriverVersion.Text = "Driver Version:";
			// 
			// lblDriverVersionValue
			// 
			this.lblDriverVersionValue.BackColor = System.Drawing.Color.Transparent;
			this.lblDriverVersionValue.ForeColor = System.Drawing.Color.Black;
			this.lblDriverVersionValue.Location = new System.Drawing.Point(124, 162);
			this.lblDriverVersionValue.Name = "lblDriverVersionValue";
			this.lblDriverVersionValue.Size = new System.Drawing.Size(208, 28);
			this.lblDriverVersionValue.TabIndex = 50;
			
			// 
			// lblInstalledDriverValue
			// 
			this.lblInstalledDriverValue.BackColor = System.Drawing.Color.Transparent;
			this.lblInstalledDriverValue.ForeColor = System.Drawing.Color.Black;
			this.lblInstalledDriverValue.Location = new System.Drawing.Point(124, 138);
			this.lblInstalledDriverValue.Name = "lblInstalledDriverValue";
			this.lblInstalledDriverValue.Size = new System.Drawing.Size(116, 18);
			this.lblInstalledDriverValue.TabIndex = 49;
			// 
			// lblSystemNameValue
			// 
			this.lblSystemNameValue.BackColor = System.Drawing.Color.Transparent;
			this.lblSystemNameValue.ForeColor = System.Drawing.Color.Black;
			this.lblSystemNameValue.Location = new System.Drawing.Point(126, 84);
			this.lblSystemNameValue.Name = "lblSystemNameValue";
			this.lblSystemNameValue.Size = new System.Drawing.Size(116, 18);
			this.lblSystemNameValue.TabIndex = 48;
			// 
			// lblColorsValue
			// 
			this.lblColorsValue.BackColor = System.Drawing.Color.Transparent;
			this.lblColorsValue.ForeColor = System.Drawing.Color.Black;
			this.lblColorsValue.Location = new System.Drawing.Point(126, 62);
			this.lblColorsValue.Name = "lblColorsValue";
			this.lblColorsValue.Size = new System.Drawing.Size(116, 18);
			this.lblColorsValue.TabIndex = 47;
			// 
			// lblResolutionValue
			// 
			this.lblResolutionValue.BackColor = System.Drawing.Color.Transparent;
			this.lblResolutionValue.ForeColor = System.Drawing.Color.Black;
			this.lblResolutionValue.Location = new System.Drawing.Point(126, 40);
			this.lblResolutionValue.Name = "lblResolutionValue";
			this.lblResolutionValue.Size = new System.Drawing.Size(116, 18);
			this.lblResolutionValue.TabIndex = 46;
			// 
			// lblAdapterRAMValue
			// 
			this.lblAdapterRAMValue.BackColor = System.Drawing.Color.Transparent;
			this.lblAdapterRAMValue.ForeColor = System.Drawing.Color.Black;
			this.lblAdapterRAMValue.Location = new System.Drawing.Point(126, 346);
			this.lblAdapterRAMValue.Name = "lblAdapterRAMValue";
			this.lblAdapterRAMValue.Size = new System.Drawing.Size(116, 18);
			this.lblAdapterRAMValue.TabIndex = 53;
			// 
			// lblBitsPerPixelValue
			// 
			this.lblBitsPerPixelValue.BackColor = System.Drawing.Color.Transparent;
			this.lblBitsPerPixelValue.ForeColor = System.Drawing.Color.Black;
			this.lblBitsPerPixelValue.Location = new System.Drawing.Point(126, 252);
			this.lblBitsPerPixelValue.Name = "lblBitsPerPixelValue";
			this.lblBitsPerPixelValue.Size = new System.Drawing.Size(116, 18);
			this.lblBitsPerPixelValue.TabIndex = 52;
			// 
			// lblRefreshRateValue
			// 
			this.lblRefreshRateValue.BackColor = System.Drawing.Color.Transparent;
			this.lblRefreshRateValue.ForeColor = System.Drawing.Color.Black;
			this.lblRefreshRateValue.Location = new System.Drawing.Point(126, 228);
			this.lblRefreshRateValue.Name = "lblRefreshRateValue";
			this.lblRefreshRateValue.Size = new System.Drawing.Size(116, 18);
			this.lblRefreshRateValue.TabIndex = 51;
			// 
			// lblScanModeValue
			// 
			this.lblScanModeValue.BackColor = System.Drawing.Color.Transparent;
			this.lblScanModeValue.ForeColor = System.Drawing.Color.Black;
			this.lblScanModeValue.Location = new System.Drawing.Point(126, 278);
			this.lblScanModeValue.Name = "lblScanModeValue";
			this.lblScanModeValue.Size = new System.Drawing.Size(116, 18);
			this.lblScanModeValue.TabIndex = 55;
			// 
			// lblScanMode
			// 
			this.lblScanMode.BackColor = System.Drawing.Color.Transparent;
			this.lblScanMode.ForeColor = System.Drawing.Color.Black;
			this.lblScanMode.Location = new System.Drawing.Point(16, 280);
			this.lblScanMode.Name = "lblScanMode";
			this.lblScanMode.Size = new System.Drawing.Size(108, 18);
			this.lblScanMode.TabIndex = 54;
			this.lblScanMode.Text = "Scan Mode:";
			// 
			// lblAdditionalInformation
			// 
			this.lblAdditionalInformation.BackColor = System.Drawing.Color.Transparent;
			this.lblAdditionalInformation.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblAdditionalInformation.ForeColor = System.Drawing.Color.Black;
			this.lblAdditionalInformation.Location = new System.Drawing.Point(12, 320);
			this.lblAdditionalInformation.Name = "lblAdditionalInformation";
			this.lblAdditionalInformation.Size = new System.Drawing.Size(194, 18);
			this.lblAdditionalInformation.TabIndex = 56;
			this.lblAdditionalInformation.Text = "Additional Information";
			// 
			// lblVideoMemoryTypeValue
			// 
			this.lblVideoMemoryTypeValue.BackColor = System.Drawing.Color.Transparent;
			this.lblVideoMemoryTypeValue.ForeColor = System.Drawing.Color.Black;
			this.lblVideoMemoryTypeValue.Location = new System.Drawing.Point(126, 370);
			this.lblVideoMemoryTypeValue.Name = "lblVideoMemoryTypeValue";
			this.lblVideoMemoryTypeValue.Size = new System.Drawing.Size(208, 18);
			this.lblVideoMemoryTypeValue.TabIndex = 58;
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.ForeColor = System.Drawing.Color.Black;
			this.label2.Location = new System.Drawing.Point(16, 370);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(108, 18);
			this.label2.TabIndex = 57;
			this.label2.Text = "Video Memory Type:";
			// 
			// lblPlugNPlayDeviceIdValue
			// 
			this.lblPlugNPlayDeviceIdValue.BackColor = System.Drawing.Color.Transparent;
			this.lblPlugNPlayDeviceIdValue.ForeColor = System.Drawing.Color.Black;
			this.lblPlugNPlayDeviceIdValue.Location = new System.Drawing.Point(126, 396);
			this.lblPlugNPlayDeviceIdValue.Name = "lblPlugNPlayDeviceIdValue";
			this.lblPlugNPlayDeviceIdValue.Size = new System.Drawing.Size(212, 28);
			this.lblPlugNPlayDeviceIdValue.TabIndex = 62;
			// 
			// lblPlugNPlayDeviceId
			// 
			this.lblPlugNPlayDeviceId.BackColor = System.Drawing.Color.Transparent;
			this.lblPlugNPlayDeviceId.ForeColor = System.Drawing.Color.Black;
			this.lblPlugNPlayDeviceId.Location = new System.Drawing.Point(16, 396);
			this.lblPlugNPlayDeviceId.Name = "lblPlugNPlayDeviceId";
			this.lblPlugNPlayDeviceId.Size = new System.Drawing.Size(108, 18);
			this.lblPlugNPlayDeviceId.TabIndex = 61;
			this.lblPlugNPlayDeviceId.Text = "PNPDevice Id:";
			// 
			// lblStatusValue
			// 
			this.lblStatusValue.BackColor = System.Drawing.Color.Transparent;
			this.lblStatusValue.ForeColor = System.Drawing.Color.Black;
			this.lblStatusValue.Location = new System.Drawing.Point(126, 430);
			this.lblStatusValue.Name = "lblStatusValue";
			this.lblStatusValue.Size = new System.Drawing.Size(116, 18);
			this.lblStatusValue.TabIndex = 64;
			// 
			// lblStatus
			// 
			this.lblStatus.BackColor = System.Drawing.Color.Transparent;
			this.lblStatus.ForeColor = System.Drawing.Color.Black;
			this.lblStatus.Location = new System.Drawing.Point(16, 430);
			this.lblStatus.Name = "lblStatus";
			this.lblStatus.Size = new System.Drawing.Size(108, 18);
			this.lblStatus.TabIndex = 63;
			this.lblStatus.Text = "Status:";
			// 
			// lblBuiltBy
			// 
			this.lblBuiltBy.BackColor = System.Drawing.Color.Transparent;
			this.lblBuiltBy.ForeColor = System.Drawing.Color.Black;
			this.lblBuiltBy.Location = new System.Drawing.Point(16, 474);
			this.lblBuiltBy.Name = "lblBuiltBy";
			this.lblBuiltBy.Size = new System.Drawing.Size(46, 14);
			this.lblBuiltBy.TabIndex = 66;
			this.lblBuiltBy.Text = "Built by";
			// 
			// pictureBox2
			// 
			this.pictureBox2.BackgroundImage = ((System.Drawing.Bitmap)(resources.GetObject("pictureBox2.BackgroundImage")));
			this.pictureBox2.Location = new System.Drawing.Point(4, 108);
			this.pictureBox2.Name = "pictureBox2";
			this.pictureBox2.Size = new System.Drawing.Size(348, 2);
			this.pictureBox2.TabIndex = 68;
			this.pictureBox2.TabStop = false;
			// 
			// pictureBox3
			// 
			this.pictureBox3.BackgroundImage = ((System.Drawing.Bitmap)(resources.GetObject("pictureBox3.BackgroundImage")));
			this.pictureBox3.Location = new System.Drawing.Point(4, 198);
			this.pictureBox3.Name = "pictureBox3";
			this.pictureBox3.Size = new System.Drawing.Size(348, 2);
			this.pictureBox3.TabIndex = 69;
			this.pictureBox3.TabStop = false;
			// 
			// pictureBox4
			// 
			this.pictureBox4.BackgroundImage = ((System.Drawing.Bitmap)(resources.GetObject("pictureBox4.BackgroundImage")));
			this.pictureBox4.Location = new System.Drawing.Point(6, 312);
			this.pictureBox4.Name = "pictureBox4";
			this.pictureBox4.Size = new System.Drawing.Size(348, 2);
			this.pictureBox4.TabIndex = 70;
			this.pictureBox4.TabStop = false;
			// 
			// btnGenerateXML
			// 
			this.btnGenerateXML.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(165)), ((System.Byte)(189)), ((System.Byte)(208)));
			this.btnGenerateXML.Cursor = System.Windows.Forms.Cursors.Default;
			this.btnGenerateXML.ForeColor = System.Drawing.Color.Black;
			this.btnGenerateXML.Location = new System.Drawing.Point(170, 465);
			this.btnGenerateXML.Name = "btnGenerateXML";
			this.btnGenerateXML.Size = new System.Drawing.Size(104, 28);
			this.btnGenerateXML.TabIndex = 71;
			this.btnGenerateXML.Text = "Generate XML";
			this.btnGenerateXML.Click += new System.EventHandler(this.xmlbutton_Click);
			// 
			// pcbVishwakLogo
			// 
			this.pcbVishwakLogo.BackColor = System.Drawing.Color.Transparent;
			this.pcbVishwakLogo.Image = ((System.Drawing.Bitmap)(resources.GetObject("pcbVishwakLogo.Image")));
			this.pcbVishwakLogo.Location = new System.Drawing.Point(66, 468);
			this.pcbVishwakLogo.Name = "pcbVishwakLogo";
			this.pcbVishwakLogo.Size = new System.Drawing.Size(102, 24);
			this.pcbVishwakLogo.TabIndex = 67;
			this.pcbVishwakLogo.TabStop = false;
			this.pcbVishwakLogo.Click += new System.EventHandler(this.pcbVishwakLogo_Click);
			// 
			// sfdSaveXML
			// 
			this.sfdSaveXML.FileName = "doc1";
			this.sfdSaveXML.Filter = "XML Files|*.xml";
			// 
			// frmVideoInformation
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.ControlLightLight;
			this.BackgroundImage = ((System.Drawing.Bitmap)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = new System.Drawing.Size(356, 500);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.btnGenerateXML,
																		  this.pictureBox4,
																		  this.pictureBox3,
																		  this.pictureBox2,
																		  this.pcbVishwakLogo,
																		  this.lblBuiltBy,
																		  this.lblStatusValue,
																		  this.lblStatus,
																		  this.lblPlugNPlayDeviceIdValue,
																		  this.lblPlugNPlayDeviceId,
																		  this.lblVideoMemoryTypeValue,
																		  this.label2,
																		  this.lblAdditionalInformation,
																		  this.lblScanModeValue,
																		  this.lblScanMode,
																		  this.lblAdapterRAMValue,
																		  this.lblBitsPerPixelValue,
																		  this.lblRefreshRateValue,
																		  this.lblDriverVersionValue,
																		  this.lblInstalledDriverValue,
																		  this.lblSystemNameValue,
																		  this.lblColorsValue,
																		  this.lblResolutionValue,
																		  this.lblDriverVersion,
																		  this.lblInstalledDriver,
																		  this.lblAdapterRAM,
																		  this.lblBitsPerPixel,
																		  this.lblRefreshRate,
																		  this.btnClose,
																		  this.lblDriverInformation,
																		  this.lblCurrentDisplaySettings,
																		  this.lblSystemName,
																		  this.lblColors,
																		  this.lblResolution,
																		  this.pcbMonitor,
																		  this.lblMonitorName});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmVideoInformation";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Video Information";
			this.Load += new System.EventHandler(this.frmVideoInformation_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new frmVideoInformation());
		}

		public void frmVideoInformation_Load(object sender, System.EventArgs e)
		{
			try
			{
				string[] aVideoMemoryType={"","Other","Unknown","VRAM",
											  "DRAM","SRAM","WRAM","EDO RAM","Burst Synchronous DRAM",
											  "Pipelined Burst SRAM","CDRAM","3DRAM","SDRAM","SGRAM"};
				short iVideoMemoryType=0;
				double lAdapterBytes=0;
				double lAdapterRAMKB=0;
				double lAdapterRAMMB=0;
				
				//Initiating management class with "Win32_VideoController"
				//Get the first instance values of the VideoController Class using enumerator
				using (ManagementClass oVideoClass=new ManagementClass("Win32_VideoController"))
				{
					using(ManagementObjectCollection oVideos=oVideoClass.GetInstances())
					{
						using (ManagementObjectCollection.ManagementObjectEnumerator oVideosEnumerator =	oVideos.GetEnumerator())
						{
							oVideosEnumerator.MoveNext();
							using(ManagementObject oMonitor = (ManagementObject)oVideosEnumerator.Current)
							{
								//Assigning Video properties to the controls
								lblResolutionValue.Text =oMonitor["CurrentHorizontalResolution"] + "x" + oMonitor["CurrentVerticalResolution"];
								lblMonitorName.Text=oMonitor["Name"].ToString();
								lblColorsValue.Text=oMonitor["CurrentNumberOfColors"].ToString() + " colors";
								lblRefreshRateValue.Text=oMonitor["CurrentRefreshRate"].ToString();
								lblSystemNameValue.Text=oMonitor["SystemName"].ToString();
								lblInstalledDriverValue.Text=oMonitor["InstalledDisplayDrivers"].ToString();
								lblDriverVersionValue.Text=oMonitor["DriverVersion"].ToString();
								lblBitsPerPixelValue.Text=oMonitor["CurrentBitsPerPixel"].ToString();
								lAdapterBytes=System.Convert.ToDouble(oMonitor["AdapterRAM"]);
								lAdapterRAMKB=lAdapterBytes/1024;
								lAdapterRAMMB=lAdapterRAMKB/1024;

								lblAdapterRAMValue.Text=lAdapterRAMMB.ToString() + " MB";
								lblScanModeValue.Text=oMonitor["CurrentScanMode"].ToString();

								//Initializing array for Video Memory Types available
								iVideoMemoryType=System.Convert.ToInt16(oMonitor["VideoMemoryType"].ToString());
								lblVideoMemoryTypeValue.Text =aVideoMemoryType[iVideoMemoryType];

								lblPlugNPlayDeviceIdValue.Text=oMonitor["PNPDeviceID"].ToString();
								lblStatusValue.Text=oMonitor["Status"].ToString();
							}//ManagementObject oMonitor
						}//ManagementObjectCollection.ManagementObjectEnumerator oVideosEnumerator
					}//ManagementObjectCollection oVideos
				} //ManagementClass oVideoClass
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message.ToString() + ex.StackTrace.ToString());
			}
		}
				
		void WriteXML(String strFileName)
		{		
			XmlTextWriter writer = new XmlTextWriter(strFileName, System.Text.Encoding.UTF8);
			try
			{	
				writer.WriteStartDocument();
				writer.Formatting = Formatting.Indented;
				
				//Write the root element
				writer.WriteStartElement("VIDEOINFORMATION");

				
				writer.WriteStartElement("GRAPHICSCONTROLLER");
				writer.WriteElementString("RESOLUTION", lblResolutionValue.Text.Trim());
				writer.WriteElementString("COLORS", lblColorsValue.Text.Trim());
				writer.WriteElementString("SYSTEMNAME", lblSystemNameValue.Text.Trim());
				writer.WriteEndElement(); 

				
				writer.WriteStartElement("DRIVERINFORMATION");
				writer.WriteElementString("INSTALLEDDRIVER", lblInstalledDriverValue.Text.Trim());
				writer.WriteElementString("DRIVERVERSION", lblDriverVersionValue.Text.Trim());
				writer.WriteEndElement(); 
				
			
				writer.WriteStartElement("CURRENTDISPLAYSETTINGS");
				writer.WriteElementString("REFRESHRATE", lblRefreshRateValue.Text.Trim());
				writer.WriteElementString("BITSPERPIXEL", lblBitsPerPixelValue.Text.Trim());
				writer.WriteElementString("SCANMODE", lblScanModeValue.Text.Trim());
				writer.WriteEndElement();  

				
				writer.WriteStartElement("ADDITIONALINFORMATION");
				writer.WriteElementString("ADAPTERRAM", lblAdapterRAMValue.Text.Trim());
				writer.WriteElementString("VIDEOMEMORYTYPE", lblVideoMemoryTypeValue.Text.Trim());
				writer.WriteElementString("PNPDEVICEID",  lblPlugNPlayDeviceIdValue.Text.Trim());
				writer.WriteElementString("STATUS",  lblStatusValue.Text.Trim());
				writer.WriteEndElement();  

				// end the root element
				writer.WriteFullEndElement();
				writer.WriteEndDocument();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message.ToString() + ex.StackTrace.ToString());
			}
			finally
			{
				writer.Flush();
				writer.Close(); 
			}
		}

		private void btnClose_Click(object sender, System.EventArgs e)
		{
			this.Dispose();
		}

		private void xmlbutton_Click(object sender, System.EventArgs e)
		{
			if(sfdSaveXML.ShowDialog()==DialogResult.OK)
			{
				WriteXML(sfdSaveXML.FileName);
			}
		}

		private void pcbVishwakLogo_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start("http://www.vishwak.com");
		}
	}		
}
